Description

Supportanfrage

Suppose the filtergraph looks like this:

 adtf_config.jpeg 

The filters B, D ,E are based on dynamic input connection pins. What is the order of calling connect methods in the filter B,D,E?

Does it depend upon the filter "priority" property?

what the "connection_priority" property of a connection does? Any documentation for that?

It seems that "connection_priority" has no effect in the order of connections made.

The order of connections made also cannot be directly deduced from initialization "priority" of the filters.

What is the procedure followed in creating the connections between the filters?

Lösung

There is no tool support to change the Connect order.

This must be adapted by appearance in system.xml

History

#1 - 2018-06-29 07:42 - hidden

- File adtf_config.jpeg added

Kindly discard the filtergraph pictogram in the above description...

Attached picture provides the actual filtergraph scenario

#2 - 2018-06-29 08:37 - hidden

- Description updated

- Status changed from New to In Progress

- Topic set to ADTF::FilterGraph

#3 - 2018-06-29 08:46 - hidden

- Status changed from In Progress to Customer Feedback Required

Dear Murali,

the connection with the highest priority is handled first.

You have to know, that a Transmit stubs immediately a Receive (OnPinEvent), so a sample route will be finished to all its connected filters.

Afterwards, the next sequence will be called.
Please have a look at Pins for Filters, especially the example chart.

If you have additional questions, please let me know.

#4 - 2018-07-03 05:54 - hidden

- File adtfviz_bridge.plb.plugindescription added

- File idtb_group_splitter.plb.plugindescription added

- File methan_capture.plb.plugindescription added

Dear Florian,

The second and third stage filters in the config shown in the filters have dynamic input pins. I want the connect methods of the filters to be called in

the forward order (especially connect method of 2nd stage needs to be called before the connect method of 3rd stage). But this is not happening. As

per the documentation, the sequence of pin connections happen as per the connections order in  system.xml file. But manually editing the system.xml

everytime is not user friendly.

I tried with the plugin description optionas specified in the documentation but the connection between the second stage and third stage filter did not

happen at all. I am attaching the plugin description files for your reference.

Let me know if I made some mistakes in plugin description. I am not clear of how to provide description for dynamic inputs. For 2nd stage filter, only

after the connection of its input dynamic pins done, the connection between 2nd stage output to 3rd stage input dynamic input pins should happen

#5 - 2018-07-03 10:02 - hidden

- Status changed from Customer Feedback Required to In Progress

#6 - 2018-07-05 14:40 - hidden

Dear Murali,

the connection priority (property connection_priority) defines in which sequence the data will be send to the destination pins.

It does not define the connection order.

In ADTF 2.x the connection order can't be changed via the Configuration Editor (GUI).

The workaround to change the connection order is to manipulate/change the system.xml as you also already mentioned.

Does this information help you?

#7 - 2018-07-06 04:12 - hidden

Dear Matthias,

Yes.. But changing the connection order by manipulating the system.xml is not user friendly.

What is the purpose of *.plugindescription file?

In documentation it is mentioned,

"When the internal data flow of a filter is described via the description, the ADTF session manager uses this information to sort and connect the pins

according to their dependencies. This ensures that pins are connected in the correct order when data types of output pins depend on data types of

input pins."

But introducing a plugin description file is worsening the scenario as the connect method is not called for 3rd stage filter..

Best Regards,

Murali S

#8 - 2018-07-09 08:46 - hidden

- Status changed from In Progress to Customer Feedback Required

Dear Murali,

Yes.. But changing the connection order by manipulating the system.xml is not user friendly.

 You have to differ between connection order during initialize (appearance in system.xml -> therefore we have no edit mode in ADTF 2.x) and data

flow during run (connection priority, you can edit in the properties).

Second thing is imho your use case.

What is the purpose of *.plugindescription file?
 Yes, you have to know, the plugin description mechanismus in ADTF 2.x was introduced to show additional information about the filter itself for the

user (pins, properties, dependencies).

The purpose was not to load the complete plugin, but this was realized in ADTF 3.x.

This was not possible in the old architecture.

In documentation it is mentioned,

"When the internal data flow of a filter is described via the description, the ADTF session manager uses this information to sort and connect the

pins according to their dependencies. This ensures that pins are connected in the correct order when data types of output pins depend on data

types of input pins."

But introducing a plugin description file is worsening the scenario as the connect method is not called for 3rd stage filter..

 Yes, we know. But ADTF 2.x runs out of maintainance and all new features can only be realized in ADTF 3.x

#9 - 2018-07-10 14:09 - hidden

Additional to my last response (#3150#note-8):

I am sorry, of course the first thing is your use case.

And yes, it is not user friendly but please keep in mind that we can not provide new features in ADTF 2.x.

So this is the only possible workaround regarding your issue.

#10 - 2018-07-25 09:21 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#11 - 2018-07-25 09:24 - hidden

- Status changed from To Be Closed to Closed

Files

adtf_config.jpeg 47.5 KB 2018-06-29 hidden

adtfviz_bridge.plb.plugindescription 699 Bytes 2018-07-03 hidden

idtb_group_splitter.plb.plugindescription 714 Bytes 2018-07-03 hidden

methan_capture.plb.plugindescription 638 Bytes 2018-07-03 hidden
